// zig fmt: off
const Api = @import("artifacts-api");

pub const ArtificerType = @import("./artificer.zig").ArtificerType;
pub const SimServer = @import("./sim_server.zig");
pub const SimClock = @import("./sim_clock.zig");
pub const SystemClock = @import("./system_clock.zig");

pub const ArtificerApi = ArtificerType(SystemClock, Api.Server);
pub const ArtificerSim = ArtificerType(SimClock, SimServer);

